## ncbi-tools6 6.1.20170106%2Bdfsg2

=== debian/changelog ===
ncbi-tools6 (6.1.20170106+dfsg2-7) unstable; urgency=medium

  * debian/.ncbirc: Belatedly set [BLAST]BLASTDB to /usr/share/ncbi/data.
    (See #1117994.)
  * Always return a value from non-void functions.  (Closes: #1123553.)
    - biostruc/cdd/thrd*.[ch] (bwfi, cp[alr]l, cxei, salu, sgoi, slou,
      spe[al], spni, ttb0, zsc): Correct return type to void to match
      implementation and usage.
    - demo/debruijn.c ([Nlm_]Main): Return 0 when not bailing.
    - tools/taxblast.c (RDTaxLookupReset): Return tax_looxup, modified
      in place.
  * Standards-Version: 4.7.3 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Dec 2025 22:30:14 -0500

ncbi-tools6 (6.1.20170106+dfsg2-6) unstable; urgency=medium

  * Fix or work around build-order assumptions caught by
    make --shuffle=reverse. (Closes: #1105544.)
    - debian/rules: Explicitly invoke copy targets before compilation.
    - make/makeall.unx: Build *.glo directly; GCC's on board with it, and
      the current logic breaks when corresponding *.o files don't yet exist.
    - make/makenet.unx: Explicitly build all static libraries encompassed
      by nocopy or given as extra goals before any shared libraries.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 May 2025 15:40:41 -0400

ncbi-tools6 (6.1.20170106+dfsg2-5) unstable; urgency=medium

  * debian/tests/control: Unconditionally skip network-based tests.  They
    rely on NCBI's ID1 service, which is slated to retire.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Nov 2024 22:08:28 -0500

ncbi-tools6 (6.1.20170106+dfsg2-4) unstable; urgency=medium

  * debian/control: Drop B-D on obsolete libpcre3-dev.
    (Closes: #1078825.)
  * make/makedemo.unx: Comment out upstream PCRE3 demos and tests, which
    were the only things that needed it and weren't getting installed
    anyway.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 08 Sep 2024 22:50:02 -0400

ncbi-tools6 (6.1.20170106+dfsg2-3) unstable; urgency=medium

  * Fix compilation under GCC 14.  (Closes: #1075307.)
    - algo/blast/api/hspfilter_queue.c: Cast ersatz virtual function
      implementation pointers as appropriate.
    - api/asn2ff{2,4}.c, corelib/ncbimain.c, demo/trna2tbl.c,
      tools/{ncbisort,pattern1}.c, vibrant/vibmain.c: Stop relying on
      implicit int.  (In the case of ncbisort.c, take the opportunity to
      comment out an occurrence of the deprecated keyword "register.")
    - desktop/seqpanel.c: Correct fputs argument order (accidentally left
      unswapped when substituting it for printf years ago).
  * Standards-Version: 4.7.0 (routine-update)
  * Rely on pre-initialized dpkg-architecture variables (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Jul 2024 21:56:34 -0400

ncbi-tools6 (6.1.20170106+dfsg2-2) unstable; urgency=medium

  * Don't rely on any implicit function declarations.  (Closes: #1066356.)
    - api/asn2gnb2.c: Correct the first(!) <asn2gnbi.h> to <ffprint.h>
      for PrintDate.
    - api/salutil.c: +<alignmgr2.h> for AlnMgr2IndexSingleChildSeqAlign.
    - vibrant/shim3d.h: Add a prototype for Nlm_SetOGLContext and
      supporting forward declarations.  (Some name clashes preclude
      reliably including X headers from here.)
  * debian/control: Apply routine-update.
    - List fields in its preferred order.
    - Wrap lists to hold one item per line.
    - Standards-Version: 4.6.2 (no changes needed).
    - Drop ncbi-cn3d's Breaks/Replaces on ancient ncbi-tools-x11.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Mar 2024 23:21:24 -0400

ncbi-tools6 (6.1.20170106+dfsg2-1) unstable; urgency=medium

  * Incorporate final time64 changes; the previous two uploads used
    6.1.20170106+dfsg1-10.1~exp2 as their basis.  Adjust ...-1~exp1's
    changelog entry accordingly, dropping the Closes: annotation and the
    note about properly handling multi-library .symbols files.
  * debian/control: Trim redundant versioned build dependencies on
    dpkg-dev; a single mention in B-D should suffice.
  * debian/rules: Don't explicitly opt into time64 anywhere.  The final
    version of the NMU added a suitable versioned B-D on dpkg-dev, and the
    explicit logic (formally?) overshot on hurd-i386 and any even less
    official i386 architectures.  (RIP kfreebsd-i386.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 01 Mar 2024 08:59:45 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp2) experimental; urgency=medium

  * debian/rules: Explicitly opt back out of the time64 ABI on i386.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Feb 2024 21:38:36 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp1) experimental; urgency=medium

  * New tarball, with the webdesign subtree dropped; at least some of its
    content was generated but supplied without corresponding sources and
    inputs, and nothing from there was getting packaged anyway.
  * Merge initial (NMU-ed) time64 changes.
  * debian/{.gitignore,libncbi6t64.doc-base,*.lintian-overrides,*.symbols}:
    Correct stray references to old library package names.  NB: These
    lintian-overrides tuneups drop post-colon package names altogether.
  * debian/copyright (Files-Excluded):
    - Drop spurious leading ncbi/.
    - Add webdesign.
  * debian/rules: Explicitly enable the time64 ABI for now.
  * debian/watch: Update for bump to +dfsg2.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 18 Feb 2024 21:10:49 -0500

ncbi-tools6 (6.1.20170106+dfsg1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064245

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 10:43:06 +0000

ncbi-tools6 (6.1.20170106+dfsg1-10) unstable; urgency=medium

  * debian/.ncbirc: Help igblast find the auxiliary data it will ship.
  * debian/source/lintian-overrides: Ignore spurious source-is-missing for


## ncbi-tools6 6.1.20170106+dfsg1

=== biostruc/newVSch/Makefile ===
#
# $Id: Makefile,v 1.1 2005/07/26 17:05:42 chenj Exp $
#
# Author: Jie Chen
# Build cgi for new VS
#
# $Log: Makefile,v $
# Revision 1.1  2005/07/26 17:05:42  chenj
# Making linux version cgi
#
#
#
#
#


APP_PROJ = VSMmdb VSNbr

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/VSchDB
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta

=== doc/seq_install/Makefile ===
STYLESHEET=main.xslt
XSL=xsl

XMLFILES=					\
	ftp_example.xml				\
	seq_download.xml			\
	seq_ftp_download.xml			\
	seq_mac_download.xml			\
	seq_trouble.xml				\
	seq_unix_download.xml			\
	seq_win_download.xml

HTMLFILES=$(XMLFILES:.xml=.html)
CSSFILES=ncbi_sequin.css $(XMLFILES:.xml=.css)
GRAPHICS=spacer10.GIF left.GIF bg.gif sequin-icon-win.gif
JSFILES=sniff.js
STYLESHEETS=main.xslt

%.html:	%.xml
	$(XSL) -XSL $(STYLESHEET) -IN $? -OUT $@

all:	$(STYLESHEETS) $(HTMLFILES)

listfiles:
	-@echo $(HTMLFILES) $(CSSFILES) $(GRAPHICS)

clean:
	rm -f $(HTMLFILES) *~

install:	all
	scp *.html *.css *.gif *.js *.GIF mjohnson@graceland:html/seqhelp

=== webdesign/designs/cubby/storedsearch/Templates/Makefile ===

dist:
	scp *.html *.css *.jpg Blueprint/* mjohnson@graceland:html/DesignReviews/CubbyEmail/v1.3

=== debian/control ===
Source: ncbi-tools6
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aaron M. Ucko <ucko@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Arch: csh | c-shell,
                    libglu1-mesa-dev | libglu-dev,
                    libgnutls28-dev | gnutls-dev,
                    libmotif-dev,
                    libpcre3-dev,
                    libpng-dev,
                    libxmu-dev
Build-Depends-Indep: icoutils,
                     imagemagick
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-tools6
Vcs-Git: https://salsa.debian.org/med-team/ncbi-tools6.git
Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/
Rules-Requires-Root: no

Package: libncbi6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ncbi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NCBI libraries for biology applications
 The NCBI Software Development Toolkit was developed for the production and
 distribution of GenBank, Entrez, BLAST, and related services by NCBI.  It
 allows you to read and write NCBI ASN.1 files, builds Blast or Entrez, etc.

Package: libncbi6-dev
Architecture: any
Multi-Arch: same
Depends: libncbi6 (= ${binary:Version}),
         ${misc:Depends}
Recommends: ncbi-tools-bin
Provides: ncbi-tools-dev
Breaks: libvibrant6-dev (<< 6.1.20170106-9~)
Replaces: libvibrant6-dev (<< 6.1.20170106-9~)
Description: NCBI libraries for biology applications (development files)
 This package supplies development versions of NCBI's non-graphical C
 libraries, along with the corresponding header files.

Package: ncbi-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: ncbi-rrna-data (<< 6.1.20160908)
Replaces: ncbi-rrna-data (<< 6.1.20160908)
Description: Platform-independent data for the NCBI toolkit
 This package contains support files needed by the NCBI toolkit on all
 platforms.

Package: ncbi-rrna-data
Architecture: all
Multi-Arch: foreign
Section: science
Depends: ncbi-data,
         ${misc:Depends}
Recommends: ncbi-blast+
Breaks: ncbi-data (<< 6.1.20160908)
Replaces: ncbi-data (<< 6.1.20160908)
Description: large rRNA BLAST databases distributed with the NCBI toolkit
 This package contains some ribosomal RNA BLAST databases distributed
 as part of the NCBI C Toolkit that are too large and specialized to
 include in ncbi-data.  Specifically, it contains the databases
 Combined16SrRNA, LSURef_93.fasta, LSU_nomito_nochloro_noplastid,
 SSURef_93.fasta, and SSU_nomito_nochloro_noplastid, along with alias
 files to facilitate searching some of them in conjunction with
 databases included in ncbi-data.

Package: ncbi-tools-bin
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvibrant6b,
          ncbi-blast+,
          ncbi-cn3d,
          ncbi-tools-x11
Breaks: blast2 (<< 1:2.2.26.20160908)
Replaces: blast2 (<< 1:2.2.26.20160908)
Description: NCBI libraries for biology applications (text-based utilities)
 This package includes various utilities distributed with the NCBI C SDK,
 including the development tools asntool and errhdr (formerly of
 libncbi6-dev).  None of the programs in this package require X; you can
 find the X-based utilities in the ncbi-tools-x11 package.  BLAST and
 related tools now come from a separate source base, corresponding to the
 ncbi-blast+ and ncbi-blast+-legacy packages.

Package: ncbi-tools-x11
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         libvibrant6b (<< ${source:Upstream-Version}.1),
         libvibrant6b (>= ${source:Upstream-Version}),
         ncbi-cn3d,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin
Description: NCBI libraries for biology applications (X-based utilities)
 This package includes some X-based utilities distributed with the
 NCBI C SDK: Network Entrez, Sequin, ddv, and udv.  These programs
 are not part of ncbi-tools-bin because they depend on several
 additional library packages.

Package: ncbi-cn3d
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         libvibrant6b (<< ${source:Upstream-Version}.1),
         libvibrant6b (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin,
           ncbi-tools-x11
Breaks: ncbi-tools-x11 (<< 6.1.20170106+dfsg1-5~)
Replaces: ncbi-tools-x11 (<< 6.1.20170106+dfsg1-5~)
Description: 3-dimensional viewer for biological molecules
 Cn3D is a helper application for your web browser that allows you to
 view 3-dimensional structures from NCBI's Entrez retrieval service.

Package: libvibrant6b
Architecture: any
Multi-Arch: same
Section: libs
Depends: libncbi6 (<< ${source:Upstream-Version}.1),
         libncbi6 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: sensible-utils,
Conflicts: libvibrant6,
           libvibrant6a
Replaces: libvibrant6,
          libvibrant6a
Description: NCBI libraries for graphic biology applications
 This is the library for those who just want to run Vibrant applications.
 It also includes a wrapper (vibrate) that allows many NCBI applications to
 provide a GUI for selecting options.

Package: libvibrant6-dev
Architecture: any
Multi-Arch: same
Depends: libglu1-mesa-dev | libglu-dev,
         libmotif-dev,
         libncbi6-dev (= ${binary:Version}),
         libvibrant6b (= ${binary:Version}),
         libxmu-dev,
         ${misc:Depends}
Description: NCBI libraries for graphic biology applications (development files)
 Vibrant allows you to develop portable (Motif, MS-Windows, Mac-OS) graphic
 biological applications.

=== debian/tests/control ===
Tests: run-unit-test
Depends: netcat, @
Restrictions: allow-stderr

## ncbi-tools6 6.1.20170106+dfsg2

=== biostruc/VastAlign/Makefile ===
#
# $Id: Makefile,v 1.2 2005/07/26 15:41:15 chenj Exp $
#
# Author: Jie Chen
# Build cgi vastalign
#
# $Log: Makefile,v $
# Revision 1.2  2005/07/26 15:41:15  chenj
# minor changes
#
#
# Revision 1.1  2005/07/25 22:31:42  chenj
# using lib center on frosty
#
#
#



APP_PROJ = VastAlign

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/VastAlign
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta

=== network/id1arch/Makefile ===
include $(NCBI)/ncbi.mk


INCLUDES = -I . -I$(NCBI_INCDIR) 
CFLAGS=$(CCOPT) $(INCLUDES) -g #-DDEBUG_ASN_PRINT

LDFLAGS = -L. -L$(NCBI_ALTLIB)  -lncbiid1 -lnetcli -lncbitool -lblastcompadj -lncbiobj -lncbi -lm

CC = gcc -g

BINARIES = idfetch

##
## some things to make
##

all : $(BINARIES)

idfetch : idfetch.o 
	$(CC) -o $@ idfetch.o  $(LDFLAGS)

idfetch.pure : idfetch.o 
	purify $(CC) -o $@ idfetch.o $(LDFLAGS)

test : test.o
	$(CC) -o $@ test.o $(LDFLAGS)

seqidtest : seqidtest.o
	$(CC) -o $@ seqidtest.o $(LDFLAGS)
sample : sample.o
	$(CC) -o $@ sample.o $(LDFLAGS)
gi2hash : gi2hash.o id_hash.o
	$(CC) -o $@ gi2hash.o id_hash.o $(LDFLAGS)
generate : id1gen.c

library : libncbiid1.a

libncbiid1.a : id1gen.o id1arch.o accid1.o
	rm -f $@
	ar -q $@ id1gen.o id1arch.o accid1.o


#id1gen.c : id1.l id1.h all.l id1map.h
#	rm -f id1generr id1genout
#	 $(CODEGEN) -i id1map.h -l id1.l,all.l -o id1gen -d . > id1genout 2>id1generr

#id1.l : id1.asn
#	rm -f id1.l*
#	rm -f id1.h id1stat.h
#	$(ASNTOOL) -m id1.asn -l id1.h
#	rm -f id1.h
#	$(ASNTOOL) -m id1.asn -o id1.h
#	mv id1.l* id1.l

#all.l : 
#	rm -f all.l*
#	$(ASNTOOL) -m $(NCBI_ASNALL) -l all.h
#	cp all.l* all.l
#
#id1.h : id1.asn
#	$(ASNTOOL) -m id1.asn -o id1.h



clean :
	- rm -f *.o

=== debian/control ===
Source: ncbi-tools6
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aaron M. Ucko <ucko@debian.org>
Section: libdevel
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
               debhelper-compat (= 13)
Build-Depends-Arch: csh | c-shell,
                    libglu1-mesa-dev | libglu-dev,
                    libgnutls28-dev | gnutls-dev,
                    libmotif-dev,
                    libpcre3-dev,
                    libpng-dev,
                    libxmu-dev
Build-Depends-Indep: icoutils,
                     imagemagick
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-tools6
Vcs-Git: https://salsa.debian.org/med-team/ncbi-tools6.git
Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/
Rules-Requires-Root: no

Package: libncbi6t64
Architecture: any
Multi-Arch: same
Section: libs
Depends: ncbi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libncbi6 (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libncbi6
Description: NCBI libraries for biology applications
 The NCBI Software Development Toolkit was developed for the production and
 distribution of GenBank, Entrez, BLAST, and related services by NCBI.  It
 allows you to read and write NCBI ASN.1 files, builds Blast or Entrez, etc.

Package: libncbi6-dev
Architecture: any
Multi-Arch: same
Depends: libncbi6t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: ncbi-tools-bin
Provides: ncbi-tools-dev
Description: NCBI libraries for biology applications (development files)
 This package supplies development versions of NCBI's non-graphical C
 libraries, along with the corresponding header files.

Package: ncbi-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: Platform-independent data for the NCBI toolkit
 This package contains support files needed by the NCBI toolkit on all
 platforms.

Package: ncbi-rrna-data
Architecture: all
Multi-Arch: foreign
Section: science
Depends: ncbi-data,
         ${misc:Depends}
Recommends: ncbi-blast+
Description: large rRNA BLAST databases distributed with the NCBI toolkit
 This package contains some ribosomal RNA BLAST databases distributed
 as part of the NCBI C Toolkit that are too large and specialized to
 include in ncbi-data.  Specifically, it contains the databases
 Combined16SrRNA, LSURef_93.fasta, LSU_nomito_nochloro_noplastid,
 SSURef_93.fasta, and SSU_nomito_nochloro_noplastid, along with alias
 files to facilitate searching some of them in conjunction with
 databases included in ncbi-data.

Package: ncbi-tools-bin
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6t64 (<< ${source:Upstream-Version}.1),
         libncbi6t64 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libvibrant6t64,
          ncbi-blast+,
          ncbi-cn3d,
          ncbi-tools-x11
Description: NCBI libraries for biology applications (text-based utilities)
 This package includes various utilities distributed with the NCBI C SDK,
 including the development tools asntool and errhdr (formerly of
 libncbi6-dev).  None of the programs in this package require X; you can
 find the X-based utilities in the ncbi-tools-x11 package.  BLAST and
 related tools now come from a separate source base, corresponding to the
 ncbi-blast+ and ncbi-blast+-legacy packages.

Package: ncbi-tools-x11
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6t64 (<< ${source:Upstream-Version}.1),
         libncbi6t64 (>= ${source:Upstream-Version}),
         libvibrant6t64 (<< ${source:Upstream-Version}.1),
         libvibrant6t64 (>= ${source:Upstream-Version}),
         ncbi-cn3d,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin
Description: NCBI libraries for biology applications (X-based utilities)
 This package includes some X-based utilities distributed with the
 NCBI C SDK: Network Entrez, Sequin, ddv, and udv.  These programs
 are not part of ncbi-tools-bin because they depend on several
 additional library packages.

Package: ncbi-cn3d
Architecture: any
Multi-Arch: foreign
Section: science
Depends: libncbi6t64 (<< ${source:Upstream-Version}.1),
         libncbi6t64 (>= ${source:Upstream-Version}),
         libvibrant6t64 (<< ${source:Upstream-Version}.1),
         libvibrant6t64 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ncbi-tools-bin,
          ncbi-tools-x11
Description: 3-dimensional viewer for biological molecules
 Cn3D is a helper application for your web browser that allows you to
 view 3-dimensional structures from NCBI's Entrez retrieval service.

Package: libvibrant6t64
Architecture: any
Multi-Arch: same
Section: libs
Depends: libncbi6t64 (<< ${source:Upstream-Version}.1),
         libncbi6t64 (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sensible-utils
Pre-Depends: ${misc:Pre-Depends}
Breaks: libvibrant6b (<< ${source:Version})
Conflicts: libvibrant6,
           libvibrant6a
Provides: ${t64:Provides}
Replaces: libvibrant6b,
          libvibrant6,
          libvibrant6a
Description: NCBI libraries for graphic biology applications
 This is the library for those who just want to run Vibrant applications.
 It also includes a wrapper (vibrate) that allows many NCBI applications to
 provide a GUI for selecting options.
X-Time64-Compat: libvibrant6b

Package: libvibrant6-dev
Architecture: any
Multi-Arch: same
Depends: libglu1-mesa-dev | libglu-dev,
         libmotif-dev,
         libncbi6-dev (= ${binary:Version}),
         libvibrant6t64 (= ${binary:Version}),
         libxmu-dev,
         ${misc:Depends}
Description: NCBI libraries for graphic biology applications (development files)
 Vibrant allows you to develop portable (Motif, MS-Windows, Mac-OS) graphic
 biological applications.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export NCBI_VERSION_FULL=$(DEB_VERSION)
export NCBI_VERSION=$(DEB_VERSION_EPOCH_UPSTREAM)
export NCBI_VERSION_MAJOR=$(word 1, $(subst ., ,$(NCBI_VERSION)))
export NCBI_VERSION_MINOR=$(NCBI_VERSION:$(NCBI_VERSION_MAJOR).%=%)
export NCBI_VERSION_DATE =$(word 3, $(subst ., ,$(NCBI_VERSION)))
export NCBI_VERSION_DEBREL=$(word 2, $(subst -, ,$(NCBI_VERSION_FULL)))
export NCBI_VERSION_SHLIB=$(NCBI_VERSION:%+dfsg1=%)

export CN3D_VERSION=$(shell sed -ne 's/.*Version \([1-9][0-9.]*\).*/\1/p' \
                      cn3d/cn3dwin.c | head -n1)
export CN3D_VERSION_DATED=$(CN3D_VERSION).$(NCBI_VERSION_DATE)
export CN3D_VERSION_FULL=$(CN3D_VERSION_DATED)-$(NCBI_VERSION_DEBREL)

testversions:
	env | fgrep NCBI_VERSION
	env | fgrep CN3D_VERSION

# Set these here, rather than using the csh hackage that passes for an
# upstream build system.  Mostly taken from ../platform/{ppc,}linux.ncbi.mk.
include /usr/share/dpkg/buildtools.mk
VIBFLAG = -DWIN_MOTIF
VIBLIBS = -lXm -lXmu -lXt -lX11 # -lXext # -lXp
OTHERLIBS = -lm
RANLIB = ranlib
MT_OTHERLIBS = -lpthread
THREAD_OBJ = ncbithr.o
NETENTREZVERSION = 2.02c2ASN1SPEC6

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -Wall \
          $(shell dpkg-buildflags --get CPPFLAGS)
ifeq ($(DEB_HOST_ARCH),alpha)
CFLAGS += -mieee
endif
CFLAGS_PIC = $(filter-out -fPIE,$(CFLAGS)) -fPIC
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS1 := $(CFLAGS) $(LDFLAGS) -Wl,--as-needed -Wl,-rpath-link,../shlib

OGL_TARGETS = Cn3D
OGL_LIBVARS = LIB400=libvibrantOGL.a LIB3000=libncbicn3dOGL.a
OGLLIBS = -lGLU -lGL

PNG_INCLUDE = -D_PNG
PNG_LIBS = -lpng # -lz

USESHLIB = NCBI_LINKINGLIBDIR="../shlib"
MAKESHLIB = $(USESHLIB) NCBI_SHLIBS=shlib
# Controls how shared libraries are built; appropriate for ELF w/GNU tools.

export NCBI_LBSM_SRC=ncbi_lbsmd_stub.c
export NCBI_LBSM_OBJ=ncbi_lbsmd_stub.o

VIB = Psequin sbtedit udv ddv taxblast idfetch asn2gb tbl2asn gene2xml \
      entrez2 gbseqget asn2all asn2asn asn2fsa asn2xml asndisc asnmacro \
      asnval cleanasn insdseqget nps2gps spidey trna2sap trna2tbl \
      $(OGL_TARGETS)

#OTHERS = others
OTHERS = libncbimla.a libnetblast.a libncbitxc2.a libncbiid1.a shlib

COMMON_FLAGS = LCL=lnx CC="$(CC)" LDFLAGS1="$(LDFLAGS1)" RAN="$(RANLIB)"
COMMON_FLAGS += OTHERLIBS="$(OTHERLIBS)" VIBLIBS="$(VIBLIBS)"
COMMON_FLAGS += VIBFLAG="$(VIBFLAG)" GNUTLS_INCLUDE=-DHAVE_LIBGNUTLS

ICONS = debian/asntool.xpm debian/ncbilogo.xpm

MAKE_IN_BUILD = $(MAKE) -C build

%:
	dh $@

# Explicit rule to avoid an infinite loop
build:
	dh $@

override_dh_auto_build-arch:
	cd build && ln -s ../make/*.unx .
	ln -s ../make/ln-if-absent build
	mv build/makeall.unx build/makefile
	$(MAKE_IN_BUILD) all $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS_PIC) $(PNG_INCLUDE)" \
	    LIB4=libvibrant.a LIB20=libncbidesk.a LIB28=libvibgif.a \
	    LIB30=libncbicn3d.a LIB45=libddvlib.a $(OGL_LIBVARS)
	$(MAKE_IN_BUILD) -f makenet.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS_PIC)" \
	    LDFLAGS="$(filter-out -fPIE -pie,$(LDFLAGS))" \
	    NETENTREZVERSION="$(NETENTREZVERSION)" \
	    BLIB31=libvibnet.a OGLLIBS="$(OGLLIBS) $(PNG_LIBS)" all $(OTHERS)
# Clear out the PIC objects
	$(MAKE_IN_BUILD) clean

	$(MAKE_IN_BUILD) all $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS) $(PNG_INCLUDE)" \
	    LIB4=libvibrant.a LIB20=libncbidesk.a LIB28=libvibgif.a \
	    LIB30=libncbicn3d.a LIB45=libddvlib.a $(OGL_LIBVARS)
# Build demos without vibrant to avoid unnecessary dependencies;
# users who want the Vibrant UI can use vibrate(1).
	$(MAKE_IN_BUILD) -f makedemo.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS)" VIBLIBS= VIBFLAG= LIB50=-lpcre
# Don't bother passing OGLLIBS or VIBLIBS, which apps don't use directly.
	$(MAKE_IN_BUILD) -f makenet.unx $(COMMON_FLAGS) $(USESHLIB) \
	    CFLAGS1="-c $(CFLAGS)" THREAD_OBJ="$(THREAD_OBJ)" \
	    THREAD_OTHERLIBS="$(MT_OTHERLIBS)" \
	    NETENTREZVERSION="$(NETENTREZVERSION)" BLIB31=libvibnet.a \
	    OGLLIBS= VIBLIBS= VIB="$(VIB)"
#	date > VERSION

override_dh_auto_clean:
	-rm -rf build/* bin/* include/* lib/* shlib
	mkdir -p build bin include lib
	-rm -f debian/*.menu $(ICONS)
	chmod -x debian/makemenu debian/installman

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
destlibdir=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
icon_in = link/mswin/ncbilogo.ico
hi = debian/ncbi-data/usr/share/icons/hicolor

override_dh_auto_install-arch:
	install -d $(destlibdir)
	install -m 644 lib/* shlib/*.so.$(NCBI_VERSION_SHLIB) $(destlibdir)
	for x in ncbiacc ncbiCacc netentr; do \
	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
	    ln -s libncbiNacc.so.$(NCBI_VERSION_MAJOR) \
	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s libncbiNacc.so $(destlibdir)/lib$$x.so; \
	done
	for x in ncbicn3d vibrant; do \
	    rm -f $(destlibdir)/lib$$x.so.$(NCBI_VERSION_SHLIB) && \
	    ln -s lib$${x}OGL.so.$(NCBI_VERSION_MAJOR) \
	        $(destlibdir)/lib$$x.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s lib$${x}OGL.so $(destlibdir)/lib$$x.so; \
	done
	rm -f $(destlibdir)/libregexp.*
	cd $(destlibdir) && \
	for f in *.so.$(NCBI_VERSION_SHLIB); do \
	    base=`basename $$f .so.$(NCBI_VERSION_SHLIB)` && \
	    ln -s $$f $$base.so.$(NCBI_VERSION_MAJOR) && \
	    ln -s $$f $$base.so; \
	done

	install -d debian/tmp/usr/include/ncbi
	cp -LRp include/* debian/tmp/usr/include/ncbi
	cd debian/tmp/usr/include/ncbi && \
            rm -f FSpCompat.h FullPath.h More*.h Optimization*.h pcre*.h
	find debian/tmp/usr/include -type f | xargs chmod 644

	install -d debian/tmp/usr/bin
	install `find build -type f -perm /111 -print` debian/tmp/usr/bin
	rm -f debian/tmp/usr/bin/*test*
	rm -f debian/tmp/usr/bin/*demo*
# Useless as a binary, and seems to be broken anyway
	rm -f debian/tmp/usr/bin/dosimple
# Seems to be a functional version of sort(1) with no special features
# (but lacking some features of GNU sort)
	rm -f debian/tmp/usr/bin/ncbisort
# Obsolete
	rm -f debian/tmp/usr/bin/cdscan
	rm -f debian/tmp/usr/bin/entrcmd
#	install -d debian/tmp/usr/lib/cgi-bin
	mv debian/tmp/usr/bin/Cn3D debian/tmp/usr/bin/Cn3D-3.0
#	mv debian/tmp/usr/bin/fmerge debian/tmp/usr/bin/fastamerge

override_dh_auto_install-indep:
	convert link/mswin/asntool.ico debian/asntool.xpm
	icotool -x -w 32 -b 32 -o - $(icon_in) | \
	    convert png:- debian/ncbilogo.xpm
	install -d debian/ncbi-data/etc/ncbi
	install -m 644 debian/.*rc debian/ncbi-data/etc/ncbi
	install -d debian/ncbi-data/usr/bin
	install debian/vibrate debian/ncbi-data/usr/bin
	install -d debian/ncbi-data/usr/share/ncbi/data
	install -m 644 data/* debian/ncbi-data/usr/share/ncbi/data
	install -d debian/ncbi-rrna-data/usr/share/ncbi/data
	mv debian/ncbi-data/usr/share/ncbi/data/*_[n9]*.n?? \
           debian/ncbi-data/usr/share/ncbi/data/rRNA*.nal \
           debian/ncbi-data/usr/share/ncbi/data/Combined16SrRNA.n?? \
	    debian/ncbi-rrna-data/usr/share/ncbi/data/
	install -d debian/ncbi-data/usr/share/pixmaps
	install -m 644 $(ICONS) debian/ncbi-data/usr/share/pixmaps
	for w in 16 32 48 256; do \
	    d=$${w}x$${w} && \
	    install -d $(hi)/$$d && \
	    icotool -x -w $$w -b 32 -o $(hi)/$$d/ncbilogo.png $(icon_in) \
	    || exit 1 ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -k README

override_dh_installmenu-arch:
	chmod +x debian/makemenu
	debian/makemenu debian/ncbi-cn3d.install
	debian/makemenu debian/ncbi-tools-x11.install
#	debian/makemenu -v debian/ncbi-tools-bin.install
	dh_installmenu

override_dh_installdocs-arch:
	dh_installdocs
	install -m 644 config/README \
	    debian/libncbi6t64/usr/share/doc/libncbi6t64/README.config
	install -m 644 network/nsclilib/readme \
	    debian/libncbi6t64/usr/share/doc/libncbi6t64/README.net-cfg
	install -m 644 doc/fa2htgs/README \
	    debian/ncbi-tools-bin/usr/share/doc/ncbi-tools-bin/README.fa2htgs
	install -m 644 sequin/README \

=== debian/watch ===
version=4
opts="passive,uversionmangle=s|^|6.1.|,downloadurlmangle=s/$/ncbi.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg2" \
https://ftp.ncbi.nih.gov/toolbox/ncbi_tools/old/ (\d{8}[a-z]*)/
